XI_DESTROY_IMAGE(3)

FUNCTION
xi_destroy_image - Destroy all the memory allocated for an XImage structure.

SYNOPSIS
#include <karma_xi.h>

void xi_destroy_image

(Display *display, XImage *ximage, flag shared_memory)

DESCRIPTION
Destroy all the memory allocated for an XImage structure.

display
    The X display.

ximage
    A pointer to the XImage structure.

shared_memory
    If TRUE, then the routine assumes the XImage data is a shared memory segment, and will attempt to remove it.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/